# AOShellCombinationsIterator

class `psi4.core.``AOShellCombinationsIterator`

  Bases: `pybind11_builtins.pybind11_object`

  Attributes Summary

  `p` | Returns current P index
  `q` | Returns current Q index
  `r` | Returns current R index
  `s` | Returns current S index

  Methods Summary

  `first`(self) | docstring
  `is_done`(self) | docstring
  `next`(self) | docstring

  Attributes Documentation

  `p`

    Returns current P index

  `q`

    Returns current Q index

  `r`

    Returns current R index

  `s`

    Returns current S index

  Methods Documentation

  `first`(self: psi4.core.AOShellCombinationsIterator) → None

    docstring

  `is_done`(self: psi4.core.AOShellCombinationsIterator) → bool

    docstring

  `next`(self: psi4.core.AOShellCombinationsIterator) → None

    docstring

  `first`(self: psi4.core.AOShellCombinationsIterator) → None

    docstring

  `is_done`(self: psi4.core.AOShellCombinationsIterator) → bool

    docstring

  `next`(self: psi4.core.AOShellCombinationsIterator) → None

    docstring

  `p`

    Returns current P index

  `q`

    Returns current Q index

  `r`

    Returns current R index

  `s`

    Returns current S index